<?php
// Registrar opciones
function sistemapayplazox_register_settings() {
    register_setting('sistemapayplazox_options', 'plazox_bar_top_menu_show');
    register_setting('sistemapayplazox_options', 'plazox_bar_top_menu_show_icon');
    register_setting('sistemapayplazox_options', 'plazox_bar_top_menu_text_message');
    register_setting('sistemapayplazox_options', 'plazox_bar_top_menu_style');
    register_setting('sistemapayplazox_options', 'plazox_product_page_show');
    register_setting('sistemapayplazox_options', 'plazox_product_page_show_banner');
    register_setting('sistemapayplazox_options', 'plazox_floating_banner_visible');
    register_setting('sistemapayplazox_options', 'plazox_floating_banner_position');
    register_setting('sistemapayplazox_options', 'plazox_floating_banner_design');
}
add_action('admin_init', 'sistemapayplazox_register_settings');

// Mostrar página de configuración
function sistemapayplazox_settings_page() {
    ?>
    <div class="wrap">
        <div class="plazos-intro" style="margin-bottom: 40px;">
            <img style="display: inline-block; vertical-align: text-bottom; margin-right: 5px;"
                 src="<?=SISTEMAPAYPLAZOX_BASE_URL?>/assets/images/plazox.png" />
            <h1 style="display: inline-block" class="title">Configura la visualizacion de plazox en tu web</h1>
        </div>
        <form method="post" action="<?php echo esc_url(admin_url('admin-post.php')); ?>">
            <?php settings_fields('sistemapayplazox_options'); ?>
            <div style="margin-bottom: 40px:">
                <h3>Barra informativa superior</h3>
                <div style="padding: 20px">
                    <div class="field" style="margin-bottom: 15px">
                        <label style="font-weight: bold; width: 145px; text-align: right; display: inline-block;">Visible</label>
                        <select id="plazox_bar_top_menu_show" name="plazox_bar_top_menu_show" style="min-width: 180px">
                            <?php
                            $show_icon = get_option('plazox_bar_top_menu_show', '1');
                            ?>
                            <option value="1" <?php selected($show_icon, '1'); ?>>Sí</option>
                            <option value="0" <?php selected($show_icon, '0'); ?>>No</option>
                        </select>
                    </div>
                    <div class="field" style="margin-bottom: 15px">
                        <label style="font-weight: bold; width: 145px; text-align: right; display: inline-block;">Mostrar logo</label>
                        <select id="plazox_bar_top_menu_show_icon" name="plazox_bar_top_menu_show_icon" style="min-width: 180px">
                            <?php
                            $show_icon = get_option('plazox_bar_top_menu_show_icon', '1');
                            ?>
                            <option value="1" <?php selected($show_icon, '1'); ?>>Sí</option>
                            <option value="0" <?php selected($show_icon, '0'); ?>>No</option>
                        </select>
                    </div>
                    <div class="field" style="margin-bottom: 15px">
                        <label style="font-weight: bold; width: 145px; text-align: right; display: inline-block;">Texto</label>
                        <select id="plazox_bar_top_menu_text_message" name="plazox_bar_top_menu_text_message" style="min-width: 180px">
                            <?php
                            $plazox_bar_top_menu_text_message = get_option('plazox_bar_top_menu_text_message', '1');
                            ?>
                            <option value="Divide el pago con plazox" <?php selected($plazox_bar_top_menu_text_message, 'Divide el pago con plazox'); ?>>Divide el pago con plazox</option>
                            <option value="Paga poco a poco con plazox" <?php selected($plazox_bar_top_menu_text_message, 'Paga poco a poco con plazox'); ?>>Paga poco a poco con plazox</option>
                        </select>
                    </div>
                    <div class="field" style="margin-bottom: 15px">
                        <label style="font-weight: bold; width: 145px; text-align: right; display: inline-block;">Diseño</label>
                        <select id="plazox_bar_top_menu_style" name="plazox_bar_top_menu_style" style="min-width: 180px">
                            <?php
                            $plazox_bar_top_menu_style = get_option('plazox_bar_top_menu_style', 'Light'); // Default value is '1'
                            ?>
                            <option value="Light" <?php selected($plazox_bar_top_menu_style, 'Light'); ?>>Fondo blanco con texto negro</option>
                            <option value="Dark" <?php selected($plazox_bar_top_menu_style, 'Dark'); ?>>Fondo negro con texto blanco</option>
                        </select>
                    </div>
                </div>
            </div>
            <div style="margin-bottom: 40px:">
                <h3>Página de producto</h3>
                <div style="padding: 20px">
                    <div class="field" style="margin-bottom: 15px">
                        <label style="font-weight: bold; width: 145px; text-align: right; display: inline-block;">Visible</label>
                        <select id="plazox_product_page_show" name="plazox_product_page_show" style="min-width: 180px">
                            <?php
                            $show_icon = get_option('plazox_product_page_show', '1');
                            ?>
                            <option value="1" <?php selected($show_icon, '1'); ?>>Sí</option>
                            <option value="0" <?php selected($show_icon, '0'); ?>>No</option>
                        </select>
                    </div>
                    <div class="field" style="margin-bottom: 15px">
                        <label style="font-weight: bold; width: 145px; text-align: right; display: inline-block;">Mostrar texto</label>
                        <select id="plazox_product_page_show_banner" name="plazox_product_page_show_banner" style="min-width: 180px">
                            <?php
                            $plazox_product_page_show_banner = get_option('plazox_product_page_show_banner', 'Yes');
                            ?>
                            <option value="Yes" <?php selected($plazox_product_page_show_banner, 'Yes'); ?>>Normal</option>
                            <option value="Reduced" <?php selected($plazox_product_page_show_banner, 'Reduced'); ?>>Reducido</option>
                        </select>
                    </div>
                </div>
            </div>
            <div style="margin-bottom: 40px:">
                <h3>Elemento flotante</h3>
                <div style="padding: 20px">
                    <div class="field" style="margin-bottom: 15px">
                        <label style="font-weight: bold; width: 145px; text-align: right; display: inline-block;">Visible</label>
                        <select id="plazox_floating_banner_visible" name="plazox_floating_banner_visible" style="min-width: 180px">
                            <?php
                            $plazox_floating_banner_visible = get_option('plazox_floating_banner_visible', '1');
                            ?>
                            <option value="1" <?php selected($plazox_floating_banner_visible, '1'); ?>>Sí</option>
                            <option value="0" <?php selected($plazox_floating_banner_visible, '0'); ?>>No</option>
                        </select>
                    </div>
                    <div class="field" style="margin-bottom: 15px">
                        <label style="font-weight: bold; width: 145px; text-align: right; display: inline-block;">Posición</label>
                        <select id="plazox_floating_banner_position" name="plazox_floating_banner_position" style="min-width: 180px">
                            <?php
                            $plazox_floating_banner_position = get_option('plazox_floating_banner_position', 'Center');
                            ?>
                            <option value="Top" <?php selected($plazox_floating_banner_position, 'Top'); ?>>Arriba</option>
                            <option value="Center" <?php selected($plazox_floating_banner_position, 'Center'); ?>>Centro</option>
                            <option value="Bottom" <?php selected($plazox_floating_banner_position, 'Bottom'); ?>>Abajo</option>
                        </select>
                    </div>
                    <div class="field" style="margin-bottom: 15px">
                        <label style="font-weight: bold; width: 145px; text-align: right; display: inline-block;">Diseño</label>
                        <select id="plazox_floating_banner_design" name="plazox_floating_banner_design" style="min-width: 180px">
                            <?php
                            $plazox_floating_banner_design = get_option('plazox_floating_banner_design', 'Option 1');
                            ?>
                            <option value="Option 1" <?php selected($plazox_floating_banner_design, 'Option 1'); ?>>Opción 1</option>
                            <option value="Option 2" <?php selected($plazox_floating_banner_design, 'Option 2'); ?>>Opción 2</option>
                            <option value="Option 3" <?php selected($plazox_floating_banner_design, 'Option 3'); ?>>Opción 3</option>
                        </select>
                        <img style="padding: 20px; margin-top: 20px; background: #fff; border-radius: 10px; display: block; clear: both; width: 320px;"
                             src="<?=SISTEMAPAYPLAZOX_BASE_URL?>/assets/images/plazox_banner-designs.png" />
                    </div>
                </div>
            </div>

            <input type="hidden" name="action" value="save_sistemapayplazox_settings">
            <?php submit_button('Guardar cambios'); ?>
        </form>

    </div>
    <?php
}

// Agregar página de administración
function sistemapayplazox_admin_menu() {
    add_menu_page(
        'Sistemapay plazox settings',
        'Sistemapay-plazox',
        'manage_options',
        'sistemapayplazox-settings',
        'sistemapayplazox_settings_page',
        'dashicons-money'
    );
}
add_action('admin_menu', 'sistemapayplazox_admin_menu');



function process_sistemapayplazox_settings() {

    // Guarda las opciones
    if (isset($_POST['submit'])) {

        update_option('plazox_bar_top_menu_show', $_POST['plazox_bar_top_menu_show']);
        update_option('plazox_bar_top_menu_show_icon', $_POST['plazox_bar_top_menu_show_icon']);
        update_option('plazox_bar_top_menu_text_message', $_POST['plazox_bar_top_menu_text_message']);
        update_option('plazox_bar_top_menu_style', $_POST['plazox_bar_top_menu_style']);
        update_option('plazox_product_page_show', $_POST['plazox_product_page_show']);
        update_option('plazox_product_page_show_banner', $_POST['plazox_product_page_show_banner']);
        update_option('plazox_floating_banner_visible', $_POST['plazox_floating_banner_visible']);
        update_option('plazox_floating_banner_position', $_POST['plazox_floating_banner_position']);
        update_option('plazox_floating_banner_design', $_POST['plazox_floating_banner_design']);

        $activeTheme = wp_get_theme()->get('Name');

        $jsContent = "";

        $jsContent .= PHP_EOL."let wp_active_theme='".$activeTheme."';";

        $jsContent .=  PHP_EOL."let fonts_path='".SISTEMAPAYPLAZOX_BASE_URL."/assets/fonts'";

        $jsContent .= PHP_EOL."let bar_top_menu_show='".get_option('plazox_bar_top_menu_show')."';";
        $jsContent .= PHP_EOL."let bar_top_menu_show_icon='".get_option('plazox_bar_top_menu_show_icon')."';";
        $jsContent .= PHP_EOL."let bar_top_menu_text_message='".get_option('plazox_bar_top_menu_text_message')."';";
        $jsContent .= PHP_EOL."let bar_top_menu_style='".get_option('plazox_bar_top_menu_style')."';";
        $jsContent .= PHP_EOL."let product_page_show='".get_option('plazox_product_page_show')."';";
        $jsContent .= PHP_EOL."let product_page_show_banner='".get_option('plazox_product_page_show_banner')."';";
        $jsContent .= PHP_EOL."let floating_banner_visible='".get_option('plazox_floating_banner_visible')."';";
        $jsContent .= PHP_EOL."let floating_banner_position='".get_option('plazox_floating_banner_position')."';";
        $jsContent .= PHP_EOL."let floating_banner_design='".get_option('plazox_floating_banner_design')."';";
        $jsContent .= PHP_EOL.PHP_EOL;


        $translations_script_path = SISTEMAPAYPLAZOX_PLUGIN_DIR . 'assets/js/plazox-languages.js';
        $translations_content = file_get_contents($translations_script_path);
        // Incluye traducciones
        $jsContent .= $translations_content;

        $base_script_path = SISTEMAPAYPLAZOX_PLUGIN_DIR . 'assets/js/plazox-base.js';
        $base_content = file_get_contents($base_script_path);
        // Incluye contenido base
        $jsContent .= $base_content;

        file_put_contents(SISTEMAPAYPLAZOX_PLUGIN_DIR . 'assets/js/sistemapayPlazox.js', $jsContent);

        // Redirecciona después de guardar
        wp_redirect(add_query_arg('page', 'sistemapayplazox-settings', admin_url('admin.php')));
        exit;
    }

}
add_action('admin_post_save_sistemapayplazox_settings', 'process_sistemapayplazox_settings');


